/**
 * Copyright (C) 2012
 * by 52 North Initiative for Geospatial Open Source Software GmbH
 *
 * Contact: Andreas Wytzisk
 * 52 North Initiative for Geospatial Open Source Software GmbH
 * Martin-Luther-King-Weg 24
 * 48155 Muenster, Germany
 * info@52north.org
 *
 * This program is free software; you can redistribute and/or modify it under
 * the terms of the GNU General Public License version 2 as published by the
 * Free Software Foundation.
 *
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program (see gnu-gpl v2.txt). If not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA or
 * visit the Free Software Foundation web page, http://www.fsf.org.
 */
// 
// IMyCapability.java
// Wed May 21 15:24:25 CEST 2008
// Generated by the Apache Muse Code Generation Tool
// 
package org.n52.ses.common;

import org.w3c.dom.Element;

/**
 * @author Matthes Rieke <m.rieke@uni-muenster.de>
 *
 */
public interface ICapabilites {

	/**
	 * Method header of the DescriceSensor method.
	 * 
	 * @param SensorID ID of the sensor to describe
	 * @return DescribeSensor response
	 * @throws Exception if Sensor was not found inside the service.
	 */
	public Element describeSensor(Element SensorID) throws Exception;
	
	/**
	 * Method header of the DescribeStoredFilter method.
	 * 
	 * @param storedFilterID the unique ID
	 * @return DescribeStoredFilterResponse
	 * @throws Exception if stored filter could not be found
	 */
	public Element describeStoredFilter(Element storedFilterID) throws Exception;

	/**
	 * Method header of the DescriceSensor method.
	 * 
	 * @param xml the request
	 * @return GetCapabilites response
	 * @throws Exception if an error occurred during the capabilities creation
	 */
	public Element getCapabilities(Element xml) throws Exception;

}